Bug 106645 - Failure building with python3
: Failure building with python3
Status: RESOLVED FIXED
: WebKit
WebKit Qt
: 528+ (Nightly build)
: PC Linux
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-01-11 02:16 PST by
Modified: 2013-08-23 13:49 PST (History)


Attachments
print-function-usage-patch (4.25 KB, patch)
2013-01-11 02:17 PST, Laszlo Papp
no flags Review Patch | Details | Formatted Diff | Diff
Updated change with changelog (5.38 KB, text/plain)
2013-01-23 22:40 PST, Laszlo Papp
benjamin: review-
lpapp: commit‑queue?
Details
Patch (5.13 KB, patch)
2013-08-23 05:15 PST, Zan Dobersek
no flags Review Patch | Details | Formatted Diff | Diff
With fixed ChangeLog (5.08 KB, patch)
2013-08-23 05:25 PST, Zan Dobersek
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-11 02:16:08 PST
See the patch for addressing the python3 issue.
------- Comment #1 From 2013-01-11 02:17:33 PST -------
Created an attachment (id=182300) [details]
print-function-usage-patch
------- Comment #2 From 2013-01-11 02:32:52 PST -------
(From update of attachment 182300 [details])
This patch misses a ChangeLog. Please refer to http://www.webkit.org/coding/contributing.html for more information.

Also, please set review? and commit-queue? if you'd like your patch to be reviewed and committed.
------- Comment #3 From 2013-01-11 05:24:45 PST -------
Hi Laszlo :) Good to see you around WebKit! Please let me give you a few hints on how WebKit patches should look like:

- Every WebKit patch should contain at least one ChangeLog entry, with respect to the subdirectory the modifications were made (ie. Source/JavaScriptCore/ChangeLog).

- The ChangeLog entry should follow the guideline described in [1]. You can take advantage of a script called 'Tools/Scripts/prepare-ChangeLog -g HEAD', where HEAD is the top of your git branch, for example.

Links:
[1] http://www.webkit.org/coding/contributing.html#changelogs
------- Comment #4 From 2013-01-15 03:51:29 PST -------
I've submitted your patch to the EWS to see if there are any technical issues with it from a building POV, but yeah, as Andras and Bruno point out: The patch needs a ChangeLog.

The workflow I would recommend is to run

(1) Tools/Scripts/webkit-patch prepare 106645
(2) Then complete the editing of the ChangeLog files prepared by the above command
(3) Tools/Scripts/webkit-patch post --request-commit

That'll upload a new patch into this bug report and set the request review/commit flags accordingly, so that the patch can be processed for review and submission.
------- Comment #5 From 2013-01-15 03:52:31 PST -------
Attachment 182300 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/disassembler/udis86/..." exit_code: 1
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:228:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:229:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:231:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_optable.py:89:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_optable.py:91:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/itab.py:277:  [UdItabGenerator.genInsnTable] Using variable 'pfx' before assignment  [pylint/E0601] [5]
Total errors found: 6 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #6 From 2013-01-23 22:40:19 PST -------
Created an attachment (id=184403) [details]
Updated change with changelog

@Simon:  Tools/Scripts/webkit-patch prepare 106645
Can't find a branch to diff against. svn-remote.svn.fetch is not in the git config and refs/remotes/origin/master does not exist
Can't find a branch to diff against. svn-remote.svn.fetch is not in the git config and refs/remotes/origin/master does not exist
------- Comment #7 From 2013-01-23 23:15:40 PST -------
(From update of attachment 184403 [details])
Wrong patch format + wrong attachment flags.
------- Comment #8 From 2013-01-23 23:16:54 PST -------
What do you mean by wrong patch format?
------- Comment #9 From 2013-01-23 23:38:10 PST -------
(In reply to comment #8)
> What do you mean by wrong patch format?

Here are the problem bugzilla had with the patch:
-You uploaded it with a binary MIME type.
-You did not check the patch checkbox, which means you did not agree on the project policies when uploading.
-You uploaded a Git email patch. I am not sure our patcher supports that.
------- Comment #10 From 2013-01-24 00:53:24 PST -------
'git format-patch' is not supported? Then 'git diff' perhaps?

These automated scripts do not seem to work on my machine.
------- Comment #11 From 2013-01-24 01:05:30 PST -------
(In reply to comment #10)
> 'git format-patch' is not supported? Then 'git diff' perhaps?
> 
> These automated scripts do not seem to work on my machine.

Git diff works for sure.

Git format-patch may work but I am not certain. Most tools are for SVN and some have quirks with git output. Actually, given your first patch went fine through the bots, I think that should work just fine.

The important part is check the "Patch" checkbox when you upload. That should also set the mimetype correctly. :)
------- Comment #12 From 2013-08-23 04:52:26 PST -------
Can we get this patch rolling again? It still applies properly (apart from the ChangeLog entry), it just needs to be reuploaded properly.
------- Comment #13 From 2013-08-23 04:55:30 PST -------
@Zan: fix the tools to work, and then the contributors' life become simpler to update changes.

As for me, those tools were broken, so I lost my motivation to do the stuff manually without much experience.
------- Comment #14 From 2013-08-23 05:15:24 PST -------
Created an attachment (id=209451) [details]
Patch
------- Comment #15 From 2013-08-23 05:17:46 PST -------
Attachment 209451 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/disassembler/udis86/itab.py', u'Source/JavaScriptCore/disassembler/udis86/ud_opcode.py', u'Source/JavaScriptCore/disassembler/udis86/ud_optable.py']" exit_code: 1
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:228:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:229:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:231:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_optable.py:89:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_optable.py:91:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/itab.py:277:  [UdItabGenerator.genInsnTable] Using variable 'pfx' before assignment  [pylint/E0601] [5]
Total errors found: 6 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #16 From 2013-08-23 05:19:01 PST -------
(In reply to comment #13)
> @Zan: fix the tools to work, and then the contributors' life become simpler to update changes.
> 
> As for me, those tools were broken, so I lost my motivation to do the stuff manually without much experience.

As was explained, uploading the `git diff` output would work just well.
If you've experienced incorrect tool behavior, please file bugs about it.

I've reuploaded the patch, still listing you as the patch author, so it can run through the EWS and get reviewed.
------- Comment #17 From 2013-08-23 05:25:11 PST -------
Created an attachment (id=209453) [details]
With fixed ChangeLog

The ChangeLog was a bit out of form.
------- Comment #18 From 2013-08-23 05:27:34 PST -------
Attachment 209453 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/disassembler/udis86/itab.py', u'Source/JavaScriptCore/disassembler/udis86/ud_opcode.py', u'Source/JavaScriptCore/disassembler/udis86/ud_optable.py']" exit_code: 1
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:228:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:229:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_opcode.py:231:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_optable.py:89:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/ud_optable.py:91:  whitespace after '('  [pep8/E201] [5]
Source/JavaScriptCore/disassembler/udis86/itab.py:277:  [UdItabGenerator.genInsnTable] Using variable 'pfx' before assignment  [pylint/E0601] [5]
Total errors found: 6 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #19 From 2013-08-23 13:48:57 PST -------
(From update of attachment 209453 [details])
Clearing flags on attachment: 209453

Committed r154521: <http://trac.webkit.org/changeset/154521>
------- Comment #20 From 2013-08-23 13:49:00 PST -------
All reviewed patches have been landed.  Closing bug.